unit Shctab;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, ExtCtrls, Buttons,
  SDL_Colsel, SDL_NumLab, SDL_ChemGrph;

type
  TFrmShowChemStruc = class(TForm)
    FontDialog1: TFontDialog;
    Panel1: TPanel;
    LoadStruc: TButton;
    Font: TButton;
    ColSelStruc: TColSel;
    CT2: TChemGraph;
    SBBondleng: TScrollBar;
    Timer1: TTimer;
    ColSel2: TColSel;
    NumLabX: TNumLab;
    NumLabY: TNumLab;
    OpenDialog1: TOpenDialog;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    BButExit: TBitBtn;
    CBoxDispMode: TComboBox;
    Label4: TLabel;
    CBoxBlink: TCheckBox;
    procedure FormCreate(Sender: TObject);
    procedure LoadStrucClick(Sender: TObject);
    procedure FontClick(Sender: TObject);
    procedure ColSelStrucChange(Sender: TObject);
    procedure SBBondlengChange(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure ColSel2Change(Sender: TObject);
    procedure CT2MoveOverStruct(Sender: TObject; ClosestAtom: Integer;
      Dist: Double; Shift: TShiftState; rMousePosX, rMousePosY: Double);
    procedure BButExitClick(Sender: TObject);
    procedure CBoxDispModeChange(Sender: TObject);
    procedure CBoxBlinkClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FrmShowChemStruc: TFrmShowChemStruc;

implementation

{$R *.DFM}

uses
  SDL_CStruct;


(************************************************************************)
procedure TFrmShowChemStruc.FormCreate(Sender: TObject);
(************************************************************************)

var
  TFile  : TextFile;


begin
assignFile (TFile, 'test1.mol');
reset (TFile);
CT2.Structure.ReadFromMDLMolFile (TFile);
closeFile (TFile);
end;



(************************************************************************)
procedure TFrmShowChemStruc.LoadStrucClick(Sender: TObject);
(************************************************************************)

var
  TFile : Textfile;

begin
if Opendialog1.Execute then
  begin
  AssignFile (TFile, OpenDialog1.FileName);
  Reset (TFile);
  CT2.Structure.ReadFromMDLMolFile (TFile);
  closeFile (TFile);
  end;
end;



(************************************************************************)
procedure TFrmShowChemStruc.FontClick(Sender: TObject);
(************************************************************************)

begin
if FontDialog1.Execute then
  CT2.Font := FontDialog1.Font;
end;

(************************************************************************)
procedure TFrmShowChemStruc.ColSelStrucChange(Sender: TObject);
(************************************************************************)

begin
CT2.ColorStructure := ColSelStruc.SelColor;
end;

(************************************************************************)
procedure TFrmShowChemStruc.SBBondlengChange(Sender: TObject);
(************************************************************************)

begin
CT2.MaxBondLeng := SBBondLeng.Position;
end;

(************************************************************************)
procedure TFrmShowChemStruc.Timer1Timer(Sender: TObject);
(************************************************************************)

begin
CT2.AtVisAttrib[1] := CT2.AtVisAttrib[1] xor $2;
end;

(************************************************************************)
procedure TFrmShowChemStruc.ColSel2Change(Sender: TObject);
(************************************************************************)

begin
CT2.ColorBkg := ColSel2.SelColor;
end;

(************************************************************************)
procedure TFrmShowChemStruc.CT2MoveOverStruct(Sender: TObject; ClosestAtom: Integer;
  Dist: Double; Shift: TShiftState; rMousePosX, rMousePosY: Double);
(************************************************************************)

begin
NumLabX.Value := ClosestAtom;
NumLabY.Value := Dist;
end;

(************************************************************************)
procedure TFrmShowChemStruc.BButExitClick(Sender: TObject);
(************************************************************************)

begin
close;
end;

(************************************************************************)
procedure TFrmShowChemStruc.CBoxDispModeChange(Sender: TObject);
(************************************************************************)

begin
CT2.DisplayMode := TCGDispMOde(CBoxDispMode.ItemIndex);
end;

(************************************************************************)
procedure TFrmShowChemStruc.CBoxBlinkClick(Sender: TObject);
(************************************************************************)

begin
Timer1.Enabled := CBoxBlink.Checked;
end;

end.
